
## FIXME/TODO:
# * kdemultimedia-arts/arts-extras subpkg, http://bugzilla.redhat.com/191097 
# * split free/nonfree codecs from *.mcopclass files, in particular:
#   akodePlayObject.mcopclass, xine*.mcopclass (yuck) 

# NOTE: can only build *one* of the following at a time
#  core: kdemultidia/kdemultimedia-devel
#  extras: kdemultimedia-extras
#  nonfree: kdemultimedia-nonfree
#define core 1
%define extras 1
#define nonfree 1

%if "%{?core}" == "1"
%define patched -patched
%endif

%if "%{?extras}" == "1"
%define patched -patched
%define _with_akode --with-akode
%define _with_gstreamer --with-gstreamer
## not currently compatible with libtunepimp-0.5 (only libtunepimp-0.4)
#define _with_musicbrainz --with-musicbrainz
%define _with_libsamplerate --with-libsamplerate
%define _with_taglib --with-taglib
%define _with_xine --with-xine
# moved xine_artsplugin,kfile_mp3 from there -- Rex
Conflicts: kdemultimedia-extras-nonfree < 3.5.6-3
%endif

%if "%{?nonfree}" == "1"
%define _with_akode --with-akode
BuildRequires: akode-extras
%define _with_lame --with-lame
%define _with_taglib --with-taglib
%endif

# distro/release bits
%if 0%{?fedora} > 4 || 0%{?rhel} > 4
BuildRequires: libXxf86vm-devel
# likely only required for nonfree -- Rex
BuildRequires: libXxf86dga-devel
%endif

%define is_release 2

%if "%{?core}" == "1"
Name: 	 kdemultimedia
Summary: Multimedia applications for the K Desktop Environment (KDE)
%endif
%if "%{?extras}" == "1"
Name:	 kdemultimedia-extras
Summary: Extras for KDE multimedia applications
%endif
%if "%{?nonfree}" == "1"
Name:	 kdemultimedia-extras-nonfree
Summary: Nonfree Extras for KDE multimedia applications
%endif

Group:   Applications/Multimedia
#if "%{?core}" == "1"
Epoch:	 6
#endif
Version: 3.5.8
Release: 1%{?dist}

License: GPLv2+
%if "%{?patched:1}" == "1"
%define nonfree_bits mpeglib mpeglib_artsplugin mpg123_artsplugin
## To generate -patched tarball,
# 1. tar xjf kdemultimedia-%{version}.tar.bz2
# 2. mv kdemultimedia-%{version} kdemultimedia-%{version}-patched
# 3. (cd kdemultimedia-%{version}-patched; rm -rf %nonfree_bits )
# 4. remove %nonfree_bits from kdemultimedia-%{version}-patched/subdirs
# 5. tar cjf kdemultimedia-%{version}-patched.tar.bz2 kdemultimedia-%{version}-patched
Source0: kdemultimedia-%{version}%{?patched}.tar.bz2
%else
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kdemultimedia-%{version}.tar.bz2
%endif
Url:     http://multimedia.kde.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post): xdg-utils
Requires(postun): xdg-utils

BuildRequires: kdelibs-devel >= 6:%{version}
Requires: kdelibs >= 6:%{version}
%if "%{is_release}" != "1"
BuildRequires: automake libtool
%endif

BuildRequires: gettext
BuildRequires: audiofile-devel
BuildRequires: alsa-lib-devel 
BuildRequires: cdparanoia-devel cdparanoia
BuildRequires: flac-devel
BuildRequires: libtheora-devel
BuildRequires: libvorbis-devel >= 1:1.1.0
%{?core:Requires: libvorbis >= 1:1.1.0}
%{?_with_taglib:BuildRequires: taglib-devel}
%{?_with_musicbrainz:BuildRequires: libmusicbrainz-devel >= 0:2.1, libtunepimp-devel}
%{?_with_akode:BuildRequires: akode-devel}
%{?_with_gstreamer:BuildRequires: gstreamer-devel}
%{?_with_lame:BuildRequires: lame-devel}
%{?_with_libsamplerate:BuildRequires: libsamplerate-devel}
%{?_with_xine:BuildRequires: xine-lib-devel >= 0:1.0}

Patch2: kdemultimedia-3.5.3-config.patch
Patch3: kdemultimedia-3.4.0-xdg.patch

Patch10: kdemultimedia-3.5.7-pthread.patch

## kde-redhat patches
# unconditinally include oggvorbis_artsplugin 
Patch1000: kdemultimedia-3.5.0-oggvorbis_artsplugin.patch
# increase buffers to minimize audio cut-outs, http://bugs.kde.org/74744
Patch74744: kdemultimedia-3.2.2-mpeglib-buffer.patch

%if "%{?core}" == "1"
%description
Multimedia applications for KDE, including:
* noatun: a multimedia player for sound and movies, very extensible due to
          it's plugin interface
* kaudiocreator: CD ripper and audio encoder frontend.
* kaboodle: light media player
* kmid: A standalone and embeddable midi player, includes a karaoke-mode
* kmidi: midi player, can use sound patch files and create a WAV file
* kmix: the audio mixer as a standalone program and Kicker applet
* kscd: A CD player with an interface to the internet CDDB database
* krec: A recording frontend using aRts

The following are libraries and plugins that are building the core
infrastructure of above applications:
* arts: a versatily multimedia system the consists of various little
        building blocks that you (or an application) can combine in
        almost arbitrary ways to create sound and video processing pipes
* kfile-plugins: provide meta information about sound files
* libkcddb: a library for retrieving and sending cddb information

%package devel
Summary: Header files, libraries for %{name}
Group:	 Development/Libraries
Requires: kdelibs-devel 
Requires: %{name} = %{epoch}:%{version}-%{release}
%description devel
%{summary}.
%endif

%if "%{?extras}" == "1"
Requires: kdemultimedia >= %{epoch}:%{version}
%description 
%{summary}, including: 
* akode_artsplugin (akode)
* juk %{?_with_musicbrainz:(libtunepimp)}
* kfile-plugins: flac, mp3 (taglib), mpc (taglib)
* xine_artsplugin (xine-lib)
%endif

%if "%{?nonfree}" == "1"
Obsoletes: kdemultimedia-nonfree < %{epoch}:%{version}-%{release}
Requires: kdemultimedia >= %{epoch}:%{version}
# for main akode_artsplugins bits
Requires: kdemultimedia-extras >= %{epoch}:%{version}
Requires: akode-extras
%description
%{summary}, including:
* akode_artsplugin (akode-extras),
* kfile-plugins: mpeg
* krec mp3 export (lame),
* mpeglib_artsplugin,
%endif


%prep
%if "%{?is_release}" != "0"
%setup -q -n kdemultimedia-%{version}%{?patched}
%else
%setup -q -n kdemultimedia 
%endif

%patch2 -p1 -b .config
%patch3 -p1 -b .xdg

# help with wierd linker errors on older (el4/fc6) systems, should be mostly harmless otherwise
%patch10 -p1 -b .pthread

#with mpeglib in -extras-nonfree, not really needed -- Rex
#patch1000   -p1 -b .oggvorbis_artsplugin
%{?nonfree:%patch74744  -p1 -b .74744}

%if "%{is_release}" != "1"
  make -f admin/Makefile.common cvs
%endif


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh


DO_NOT_COMPILE=""
%{!?nonfree:export DO_NOT_COMPILE="$DO_NOT_COMPILE %{nonfree_bits}"}

%{?extras:export CPPFLAGS="$CPPFLAGS -I%{_includedir}/kde/arts"}

# -- disable-new-ldflags for fc6, since --as-needed fails for lame/xine-lib -- Rex
# until either binutils or lame(livna bug #1207)/xine-lib is fixed

%configure \
  --includedir=%{_includedir}/kde \
  --disable-rpath \
%if "%{?fedora}" == "6"
  --disable-new-ldflags \
%else
  --enable-new-ldflags \
%endif
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final \
  --without-libltdl \
  --with-alsa --with-arts-alsa \
  --with-audiofile \
  --with-cdparanoia --with-extra-includes="%{_includedir}/cdda" \
  --with-flac  \
  --with-theora \
  --with-vorbis \
  %{?_with_akode} %{!?_with_akode:--without-akode} \
  %{?_with_gstreamer} %{!?_with_gstreamer:--without-gstreamer} \
  %{?_with_jack} %{!?_with_jack:--without-jack} \
  %{?_with_lame} %{!?_with_lame:--without-lame} \
  %{?_with_libsamplerate} %{!?_with_libsamplerate:--without-libsamplerate} \
  %{?_with_musicbrainz} %{!?_with_musicbrainz:--without-musicbrainz} \
  %{?_with_taglib} %{!?_with_taglib:--without-taglib} \
  %{?_with_xine} %{!?_with_xine:--without-xine}

%if "%{?core}" == "1"
make %{?_smp_mflags} 
%endif

%if "%{?extras}" == "1"
for module in arts akode_artsplugin juk kfile-plugins/flac kfile-plugins/mp3 kfile-plugins/mpc xine_artsplugin ; do
make %{?_smp_mflags} -C $module
done
%endif

%if "%{?nonfree}" == "1"
for module in arts akode_artsplugin krec krec/mp3_export mpeglib mpeglib_artsplug ;  do
make %{?_smp_mflags} -C $module
done
%endif


%install
rm -rf $RPM_BUILD_ROOT

%if "%{?core}" == "1"
make install DESTDIR=$RPM_BUILD_ROOT
%endif

%if "%{?extras}" == "1"
for module in akode_artsplugin juk kfile-plugins/flac kfile-plugins/mp3 kfile-plugins/mpc xine_artsplugin ; do
make install DESTDIR=$RPM_BUILD_ROOT -C $module
done
## Remove/uninstall (conflicting) bits we don't want
rm -f $RPM_BUILD_ROOT%{_libdir}/mcop/akodeMPEGPlayObject.mcopclass
%endif

%if "%{?nonfree}" == "1"
for module in akode_artsplugin krec/mp3_export mpeglib mpeglib_artsplug ; do
make install DESTDIR=$RPM_BUILD_ROOT -C $module
done
## Remove/unstinstall (conflicting) bits we don't want
# -extras bits
rm -f $RPM_BUILD_ROOT%{_libdir}/mcop/akodearts.mcop{class,type}
rm -f $RPM_BUILD_ROOT%{_libdir}/mcop/akode{,MPC,SpeexStream,VorbisStream,Xiph}PlayObject.mcopclass
rm -f $RPM_BUILD_ROOT%{_libdir}/libarts_akode.*
%endif

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && ln -nsf ../common $i/common
      done
    popd
  fi 
done  
fi
mv %{name}.lang %{name}.list

## remove references to optional external libraries in .la files (#178734)
find $RPM_BUILD_ROOT%{_libdir} -name "*.la" | xargs \
 sed -i \
 -e "s@-lasound@@g" \
 -e "s@-laudiofile@@g" \
 -e "s@-lvorbisfile@@g" \
 -e "s@-lvorbisenc@@g" \
 -e "s@-lvorbis@@g" \
 -e "s@-logg@@g" \
 -e "s@%{_libdir}/libltdl.la@@g" 

# Die, die, die, requires patched kdelibs -- Rex
%if "%{?kde:1}" == "1"
rm -f $RPM_BUILD_ROOT%{_libdir}/kde3/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/libkdeinit_*.la
%endif

# Handle .la, .so files (v0.7)
[ ! -f %{name}.list ] && echo "%defattr(-,root,root,-)" > %{name}.list
[ ! -f devel.list ]  && echo "%defattr(-,root,root,-)" > devel.list
for solib in ${RPM_BUILD_ROOT}%{_libdir}/*.so* ; do
  soname=$(basename ${solib})
  base=$(basename ${soname} .so)
  if [ -L ${solib} ]; then
    if [ "${soname}" == "${base}.so" ]; then
      echo "%{_libdir}/${soname}" >> devel.list
      if [ -f ${RPM_BUILD_ROOT}%{_libdir}/${base}.la ]; then
        echo "%{_libdir}/${base}.la" >> devel.list
      fi
    else
      echo "%{_libdir}/${soname}" >> %{name}.list
    fi
  else
    if [ -f ${RPM_BUILD_ROOT}%{_libdir}/${base}.la ]; then
      ## Should be safe since we patched kdelibs, but that not always true (either) -- Rex
      #echo "%exclude %{_libdir}/${base}.la" >> %{name}.list
      echo "%{_libdir}/${base}.la" >> %{name}.list
    fi
    echo "%{_libdir}/${soname}" >> %{name}.list
  fi
done



%if "%{?core}" == "1"
%post
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme crystalsvg 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme locolor 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme crystalsvg 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme locolor 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%endif

%if "%{?extras}" == "1"
%post
%{_bindir}/xdg-icon-resource forceupdate --theme crystalsvg 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
%{_bindir}/xdg-icon-resource forceupdate --theme crystalsvg 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%endif
%if "%{?nonfree}" == "1"

%post 
/sbin/ldconfig ||:

%postun
/sbin/ldconfig ||:

%endif


%if "%{?core}" == "1"
%files -f %{name}.list
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/lib*.so.*
%{_bindir}/*
# Own dir(s) until owned by kdelibs? -- Rex
%{_sysconfdir}/xdg/menus/applications-merged/
%{_datadir}/desktop-directories/
%{_datadir}/apps/*
%{_datadir}/autostart/*.desktop
%config %{_datadir}/config*/*
%{_datadir}/icons/crystalsvg/*/*/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/locolor/*/*/*
%{_datadir}/mimelnk/*
%{_datadir}/service*/*
%{_datadir}/appl*/*/*
%{_libdir}/mcop/*
%{_libdir}/kde3/*

%files devel -f devel.list
%defattr(-,root,root,-)
%{_includedir}/*
%endif

%if "%{?extras}" == "1"
%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
# juk
%{_bindir}/juk
%{_datadir}/applications/kde/juk.desktop
%{_datadir}/apps/juk
%{_datadir}/apps/konqueror/servicemenus/jukservicemenu.desktop
%{_datadir}/icons/crystalsvg/*/*/juk*
%{_datadir}/icons/hicolor/*/*/juk*
# kfile-plugins
%{_libdir}/kde3/kfile_flac.*
%{_libdir}/kde3/kfile_mpc.*
%{_libdir}/kde3/kfile_mp3.*
%{_datadir}/services/kfile_flac.desktop
%{_datadir}/services/kfile_mpc.desktop
%{_datadir}/services/kfile_mp3.desktop
# akode_artsplugin (free bits)
%{_libdir}/libarts_akode.[ls][ao]
%{_libdir}/libarts_akode.so.*
%{_libdir}/mcop/akodeMPCPlayObject.mcopclass
%{_libdir}/mcop/akodePlayObject.mcopclass
%{_libdir}/mcop/akodeSpeexStreamPlayObject.mcopclass
%{_libdir}/mcop/akodeVorbisStreamPlayObject.mcopclass
%{_libdir}/mcop/akodeXiphPlayObject.mcopclass
%{_libdir}/mcop/akodearts.mcopclass
%{_libdir}/mcop/akodearts.mcoptype
## xine_artsplugin (free bits)
%{_libdir}/libarts_xine.[ls][ao]
%{_libdir}/libarts_xine.so.*
%{_libdir}/kde3/videothumbnail.[ls][ao]
%{_datadir}/apps/videothumbnail/
%{_datadir}/services/videothumbnail.desktop

# FIXME: split these into extras/extras-nonfree bits
%{_libdir}/mcop/xineAudioPlayObject.mcopclass
%{_libdir}/mcop/xineVideoPlayObject.mcopclass
%endif

%if "%{?nonfree}" == "1"
%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/yaf-cdda
%{_bindir}/yaf-mpgplay
%{_bindir}/yaf-splay
%{_bindir}/yaf-tplay
%{_bindir}/yaf-vorbis
%{_bindir}/yaf-yuv
%{_libdir}/kde3/libkrecexport_mp3.[ls][ao]
%{_libdir}/libyafcore.[ls][ao]
%{_libdir}/libyafxplayer.[ls][ao]
%{_datadir}/services/krec_exportmp3.desktop

# (akode|mpeglib|xine)_artsplugin (nonfree bits)
#files artsplugin
#defattr(-,root,root,-)
%{_bindir}/mpeglibartsplay
%{_libdir}/libarts_mpeglib-0.3.0.so.*
%{_libdir}/libarts_splay.so.*
%{_libdir}/libmpeg-0.3.0.so
%{_libdir}/mcop/CDDAPlayObject.mcopclass
%{_libdir}/mcop/MP3PlayObject.mcopclass
%{_libdir}/mcop/NULLPlayObject.mcopclass
%{_libdir}/mcop/OGGPlayObject.mcopclass
%{_libdir}/mcop/SplayPlayObject.mcopclass
%{_libdir}/mcop/WAVPlayObject.mcopclass
%{_libdir}/mcop/akodeMPEGPlayObject.mcopclass
## FIXME, there has to be a better way of catching/conditionalizing this
## ie, to determine if akode-extras in use was built with ffmpeg support -- Rex
%if 0%{?fedora} > 4
%{_libdir}/mcop/akodeFFMPEGPlayObject.mcopclass
%endif

## FIXME -- Rex
#files devel
#defattr(-,root,root,-)
%{_libdir}/libarts_mpeglib.[ls][ao]
%{_libdir}/libarts_splay.[ls][ao]
%{_libdir}/libmpeg.[ls][ao]
%{_includedir}/kde/mpeglib/
%{_includedir}/kde/mpeglib_artsplug/
%endif


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Dec 06 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 6:3.5.8-1
- kde-3.5.8

* Mon Aug 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 6:3.5.7-1.5
- (re)include kfile_mpeg, which includes metadata support only, no 
  (nonfree) decoder
- License: GPLv2+
- kde-3.5.7

* Wed Mar  7 2007 Michael Schwendt <mschwendt[AT]users.sf.net> 6:3.5.6-5
- fix the fatal "Conflicts" with kdemultimedia-extras-nonfree, which
  breaks upgrades - the package does not have Epoch 6 (#231237)

* Thu Feb 15 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.5.6-4
- don't omit .la files yet, fedora's kdelibs hasn't been patched (yet)

* Mon Feb 12 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.5.6-3
- -extras: move kfile_mp3 here (no decoding, only metadata via taglib)
- -extras: Conflicts: kdemultimedia-extras-nonfree < 3.5.6-3 
  (to highlight move of xine_artsplugin, kfile_mp3 from there)

* Sat Jan 20 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.5.6-2
- use gst 0.10 instead of gst08 (where available)

* Tue Jan 16 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.5.6-1
- kde-3.5.6

* Mon Dec 18 2006 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.5.5-4
- -extras: include xine_artsplugin here (instead of -extras-nonfree)

* Wed Dec 13 2006 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.5.5-3
- Requires(post,postun): xdg-utils

* Wed Nov 01 2006 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.5.5-0.3
- use kdemultimedia-3.5.5-patched.tar.bz2 (from core pkg)

* Wed Oct 25 2006 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.5.5-0.2
- exclude kfile_mpeg from main pkg (it's in -extras-nonfree).  
  Arguably, doesn't *have* to be marked nonfree, but that's another battle.

* Wed Oct 04 2006 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.5.5-0.1
- -extras: own %%_datadir/apps/juk/pics
- 3.5.5

* Tue Sep 19 2006 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.5.4-7
- -extras: drop --with-musicbrainz (for now)

* Tue Aug 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.5.4-6
- try to cleverly move lib*.so bits to -devel (and try to avoid bug #202944)
- -extras: --with-musicbrainz (using libtunepimp-0.4.x, we'll deal with
  the hairball that is libtunepimp-0.5 later)

* Tue Aug 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.5.4-5
- -extras: drop --with-musicbrainz (until juk is fixed for libtunepimp-0.5) 

* Thu Aug 24 2006 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.5.4-4
- strip ogg/vorbis, audiofile from .la files (#178734)
- move %%_libdir/lib*.so to -devel

* Wed Aug 09 2006 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.5.4-3
- (core)/-extras: use kdemultimedia-3.5.4-patched
- BR: gettext

* Tue Aug 01 2006 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.5.4-2
- -extras-nonfree: omit libarts_akode.so.0*

* Tue Jul 25 2006 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.5.4-1
- kde-3.5.4

* Fri Jun 02 2006 Rex Dieter 6:3.5.3-2
- use -patched source
- borrow fc's -config.patch

* Wed May 24 2006 Rex Dieter 6:3.5.3-1
- kde-3.5.3

* Fri May 05 2006 Rex Dieter 6:3.5.2-5
- relax Requires: kdemultimedia

* Fri May 05 2006 Rex Dieter 6:3.5.2-4
- respin 3.5.2 for Extras

* Sun Apr 02 2006 Rex Dieter 6:3.5.2-3
- omit kfile_mpeg from (core) kdemultimedia (-> kdemultimedia-extras-nonfree)

* Tue Mar 28 2006 Rex Dieter 6:3.5.2-2
- -extras-nonfree: (fix) Obsoletes: kdemultimedia-nonfree

* Mon Mar 20 2006 Rex Dieter 6:3.5.2-1
- 3.5.2

* Fri Mar 17 2006 Rex Dieter 6:3.5.1-10
- fc5: BR: libXxf86vm-devel

* Fri Mar 17 2006 Rex Dieter 6:3.5.1-9
- fc5: BR: libXxf86dga-devel

* Fri Mar 17 2006 Rex Dieter 6:3.5.1-8
- -extras-nonfree: rename -nonfree -> -extras-nonfree
- -extras-nonfree: drop 0.lvn from Release

* Thu Mar 16 2006 Rex Dieter 6:3.5.1-7
- kfile-plugins/mp3: -extras -> -nonfree

* Thu Mar 16 2006 Rex Dieter 6:3.5.1-6
- -core/-extras: use (fc's) kdemultimedia-3.5.1-patched.tar.bz2

* Sun Feb 26 2006 Rex Dieter 6:3.5.1-5
- remove stray 'done'
- set QTLIB/QTINC (at least until #169132 is backported to fc4)

* Sat Feb 25 2006 Rex Dieter 6:3.5.1-4
- -extras: --vendor="fedora" 

* Fri Feb 24 2006 Rex Dieter 6:3.5.1-3
- -extras: --add-category="X-Fedora"

* Sun Feb 05 2006 Rex Dieter 6:3.5.1-2
- fc5+: BR: gstreamer08-plugins-devel

* Mon Jan 23 2006 Rex Dieter 6:3.5.1-1.1
- document "cleanup .la files" (#178734) 
- (re)enable juk

* Sat Jan 21 2006 Rex Dieter 6:3.5.1-1.0
- kde-3.5.1

* Fri Dec 23 2005 Rex Dieter 6:3.5.0-5
- disable juk (for now)

* Wed Dec 21 2005 Rex Dieter 6:3.5.0-4
- disable debugging/filelist-conflicts-check crud (for now)

* Wed Dec 21 2005 Rex Dieter 6:3.5.0-3
- Source: redownload, fix URL
- %%doc: AUTHORS COPYING README
- -extras: drop Obsoletes: juk

* Tue Dec 20 2005 Rex Dieter 6:3.5.0-2
- cleanup for Extras/Livna

* Fri Dec 09 2005 Rex Dieter 6:3.5.0-1.7
- --enable-new-ldflags

* Tue Nov 29 2005 Rex Dieter 6:3.5.0-1.6
- add/use %%post/%%postun for extras/nonfree
- TODO/FIXME: -nonfree includes -devel bits (mpeglib)

* Sun Nov 27 2005 Rex Dieter 6:3.5.0-1.5
- respin

* Fri Nov 25 2005 Rex Dieter 6:3.5.0-1.4
- -extras,-nonfree: include symlinks too

* Thu Nov 24 2005 Rex Dieter 6:3.5.0-1.3
- -extras,-nonfree bits (ugh)

* Wed Nov 23 2005 Rex Dieter 6:3.5.0-1.2
- -akode patch
- drop .la file stripper

* Tue Nov 22 2005 Rex Dieter 6:3.5.0-1.1
- --with-akode

* Mon Nov 21 2005 Rex Dieter 6:3.5.0-1.0
- kde-3.5.0

* Thu Nov 17 2005 Rex Dieter 6:3.5.0-0.2.rc1.kde
- (re)build against libtunepimp-0.4 (kde bug #116575)

* Sat Nov 12 2005 Rex Dieter 6:3.5.0-0.1.rc1.kde
- kde-3.5.0-rc1

* Fri Aug 12 2005 Rex Dieter 6:3.4.2-1.2.kde
- respin

* Thu Jul 21 2005 Rex Dieter 6:3.4.2-1.0.kde
- kde-3.4.2

* Mon Jun 20 2005 Rex Dieter 6:3.4.1-1.2.kde
- disable -fvisibility, for now (kde bug #101542)

* Tue May 24 2005 Rex Dieter 6:3.4.1-1.0.kde
- 3.4.1

* Fri Apr 29 2005 Rex Dieter 6:3.4.0-2.2.kde
- Ob/Pr: kdemultimedia-extras

* Wed Apr 20 2005 Rex Dieter 6:3.4.0-2.1.kde
- patch for slow kaudiocreator (kde bug #98477)

* Tue Mar 29 2005 Rex Dieter 6:3.4.0-2.0.kde
- remove libltdl.la reference(s) from .la files
- make all(most?) configure options explicit

* Wed Mar 23 2005 Rex Dieter 6:3.4.0-1.2.kde
- %%post/%%postun workarounds for recent /sbin/ldconfig (fc3/el4)

* Sat Mar 12 2005 Rex Dieter 6:3.4.0-1.1.kde
- enumerate via --with/--without exactly what is(should!) and isn't
  supported

* Fri Mar 05 2005 Rex Dieter 6:3.4.0-1.0.kde
- 3.4.0(final)

* Thu Mar 03 2005 Rex Dieter 6:3.4.0-0.1.rc1.kde
- 3.4.0

* Tue Feb 21 2005 Rex Dieter 6:3.3.92-0.3.kde
- (try to) fix artsd crasher

* Tue Feb 15 2005 Rex Dieter 6:3.3.92-0.2.kde
- 3.3.92

* Mon Nov 29 2004 Rex Dieter <rexdieter[AT]users.sf.net> 3.3.2-1.0.kde
- 3.2.2

* Thu Nov 11 2004 Rex Dieter <rexdieter[AT]users.sf.net> 3.3.1-1.0.kde
- fc3

* Tue Oct 05 2004 Rex Dieter <rexdieter at sf.net> 3.3.1-0.0.kde
- 3.3.1

* Wed Sep 29 2004 Rex Dieter <rexdieter at sf.net> 3.3.0-1.2.kde
- BR: libtunepimp-devel (musicbrainz support for juk)

* Wed Sep 08 2004 Rex Dieter <rexdieter at sf.net> 3.3.0-1.1.kde
- include better/cleaner vorbis patch

* Mon Aug 16 2004 Rex Dieter <rexdieter at sf.net> 3.3.0-1.0.kde
- 3.3.0
- fix build (libvorbisenc linking) on rh90/el3 (kde bug #88106)

